#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <stdlib.h>



// Данные консоли
#define F_CPU 16000000UL 		        // рабочая частота процессора (16 MHz)
#define INCDIRECTION		YDIR	    // ориентация дисплея XDIR (вертикально), YDIR (горизонтально)
#include "proc.h"						// базовые процедуры
#include "adjectives.h"					// основные определения
#include "keyboard.h"					// клавиатура
#include "lcd.h"						// дисплей + рисование примитивов (линии, круги, прямоугольники)
#include "draw_spr.h"					// рисование спрайтов
#include "chr.h"						// печать текста
#include "sdcard.h"						// рабрта с SD картой
#include "window.h"						// окна






void draw_score(unsigned char score)
{
 	

  char text[] = "0000000  ";

  for(unsigned char i=6; i>0; i--)
  {
    text[i] = 0x30 + score % 10;
    score/=10;
  }
  rectangle8(16+8+8+8+8,90,16+8+8+8+8+8,130+30,clBlue);
  put_string8(16+8+8+8+8,90,text,clWhite,clBlue);

}

void main()
{
keyboard_init(); 
lcd_init(0xFF);
sdcard_init();

window(0,0,cSCHeight,cSCWidth,clBlue,PSTR("Тестирование клавиатуры"),clWhite);

pgm_put_string8(16,4,PSTR("Эта программа предназначена"),clWhite,clBlue);
pgm_put_string8(16+8,4,PSTR("для тестирования клавиатуры"),clWhite,clBlue);
pgm_put_string8(16+8+8,4,PSTR("для выхода нажмите клавиши 1+2"),clWhite,clBlue);
pgm_put_string8(16+8+8+8+8,30,PSTR("код клавиши:"),clWhite,clBlue);

while (1) 
{
	wait_key_pressed();
	if (PINC==63) {boot_start();}
	draw_score(PINC);
}


}
